Loading...
Searching...
No Matches
Producer
Shared Memory Library » Signals
Collaboration diagram for Producer:

## Functions

long | l4shmc_trigger (l4shmc_signal_t *signal)
| Trigger a signal.

## Detailed Description

## Function Documentation

## l4shmc_trigger()

long l4shmc_trigger | ( | l4shmc_signal_t * | signal | ) |

inline

Trigger a signal.

Parameters

  signal | Signal to trigger.

Return values

  0 | Success.
  <0 | Error.

Examples
  examples/libs/shmc/prodcons.c.

References L4_CV, and L4_INLINE.